=== debian/changelog ===
pkg-cacher (0.9.7) unstable; urgency=low

  * Change default port to 80.

  * Update man page.

 -- Robert Nelson <robertn@the-nelsons.org>  Mon, 01 Dec 2008 22:27:37 -0800

pkg-cacher (0.9.6) unstable; urgency=low

  * Add support for RedHat .img files as static files.

  * Since we handle the Range header but not the If-Range header we need 
    to ignore the former if the latter is specified.

  * Remove import and precache scripts since they aren't applicable to the 
    new cache structure.

  * Remove proxy support for arbitrary host.

  * Remove allowed_location configuration since path_map controls remote
    server access.

  * fix cgi-mode handling.

  * Add separate packages for standalone vs cgi installs.

  * Allow override of configuration values in cgi-mode.

  * Cleanup documentation.

 -- Robert Nelson <robertn@the-nelsons.org>  Wed, 12 Nov 2008 20:10:53 -0800

pkg-cacher (0.9.5) unstable; urgency=low

  * Set correct owner, perms on /var/cache/pkg-cacher

 -- Robert Nelson <robertn@the-nelsons.org>  Wed, 17 Sep 2008 19:55:13 -0700

pkg-cacher (0.9.4) unstable; urgency=low

  * Split into 3 files to ease maintenance prior to changing to multithreaded.
  * Disable curl debugging, it isn't supported in the Etch version of the
    libwww-curl-perl.
  * Fix path for reading patterns.

 -- Robert Nelson <robertn@the-nelsons.org>  Sun, 14 Sep 2008 18:43:23 -0700

pkg-cacher (0.9.3) unstable; urgency=low

  * Added support for HTTP Redirect.
  * Made file patterns easily configurable.
  * Added OpenSUSE patterns.

 -- Robert Nelson <robertn@the-nelsons.org>  Fri, 12 Sep 2008 11:31:18 -0700

pkg-cacher (0.9.2) unstable; urgency=low

  * Updated path_map to add repo.opensource-sw.net
  * Add support for Range header

 -- Robert Nelson <robertn@the-nelsons.org>  Mon, 09 Sep 2008 16:12:44 -0700

pkg-cacher (0.9.1) unstable; urgency=low

  * Updated Debian packaging.

 -- Robert Nelson <robertn@the-nelsons.org>  Sat, 06 Sep 2008 17:21:41 -0700

pkg-cacher (0.9.0) unstable; urgency=low

  * Renamed to pkg-cacher.
  * Modified to support RedHat.

 -- Robert Nelson <robertn@the-nelsons.org>  Sat, 06 Sep 2008 15:23:23 -0700
