=== debian/control ===
Source: pkg-cacher
Section: net
Priority: optional
Maintainer: Robert Nelson <robertn@the-nelsons.org>
Build-Depends: debhelper (>> 4.0.0)
Build-Depends-Indep: perl (>=5.6.0-16)
Standards-Version: 3.7.3

Package: pkg-cacher
Architecture: all
#Depends: ${perl:Depends}, bzip2, libwww-curl-perl (>=3.12), libwww-perl, libdigest-sha1-perl, ed
Depends: ${perl:Depends}, bzip2, libwww-curl-perl, libwww-perl, libdigest-sha1-perl, ed
Suggests: libio-socket-inet6-perl
Description: Caching proxy for Debian, Ubuntu, RedHat, Fedora, and CentOS repositories.
 Pkg-cacher performs caching of packages and metadata which have been downloaded by 
 local users. It is most useful for local area networks with slow internet uplink or 
 many machines running the same distribution and version.
 .
 When a package is requested, the cache checks whether it already has the
 requested version, in which case it sends the package to the user immediately.
 If not, it downloads the package while streaming it to the user at the same
 time. A local copy is then kept for use by other users.
 .
 Pkg-cacher has been optimized for best utilization of network bandwidth and
 efficiency even on slow low-memory servers. Multiple ways of installation are
 possible: as a stand-alone HTTP proxy, as a daemon executed by inetd or as a
 CGI program. Client machines are configured by changing APT's proxy
 configuration or modification of access URLs in sources.list.
 .
 The package includes utilities to clean the cache (removing obsolete package
 files), generate usage reports.  Experimental features include optional IPv6 
 support.
 .
 Pkg-cacher can be used as a replacement for apt-cacher or apt-proxy, with no 
 need to modify client's /etc/pkg/sources.list files or as an alternative to 
 approx.

Package: pkg-cacher-sa
Architecture: all
Depends: pkg-cacher (= ${binary:Version})
Conflicts: pkg-cacher-cgi
Description: Caching proxy for Debian, Ubuntu, RedHat, Fedora, and CentOS repositories.
 This package installs and configures pkg-cacher as a standalone server.
 .
 Install pkg-cacher-cgi instead if a cgi script under Apache is desired.

Package: pkg-cacher-cgi
Architecture: all
Depends: pkg-cacher (= ${binary:Version}), apache2
Conflicts: pkg-cacher-sa
Description: Caching proxy for Debian, Ubuntu, RedHat, Fedora, and CentOS repositories.
 This package installs and configures pkg-cacher as a cgi script under Apache.
 .
 Install pkg-cacher-sa instead if a standalone server is desired.
